<!DOCTYPE html>
<html lang="sv">
<head>
  <meta charset="UTF-8">
  <title>Nystartsjobb - Självtest</title>
  <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1">
  <!--  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous"> -->

  <link rel="stylesheet" href="css/digi.css">
  <style>
  #af-questions-card .digi-info-card{
    background: #05035A !important;
  }

  .digi-typography-heading-jumbo{
    --digi--ui--color--primary: #fff;
  }

  #result .digi-info-card{
    background: #f5f5f5 !important;
  }

  #questions h3{
    color: #fff !important;
  }
  #questions p{
    color: #fff !important;
  }
  #questions > .digi-progressbar{
    background: #fff !important;
  }
  #af-questions-card hr{
    background: #fff !important;
  }
  #questions button{
    border-color: #fff !important;
  }
  #af-questions-card a{
    color: #fff !important;
  }
  a{
    font-size: small !important;
  }

  body, html {
    margin: 0 !important;
    padding: 0 !important;
  }

  .sc-digi-layout-container-h{
    --digi-layout-container--gutter: 0 !important;
  }

  #buttons-control button{
    margin-bottom: 10px;
  }

  </style>
</head>
<body id="target">
  <!--
  <digi-layout-container af-variation="fluid" af-no-gutter="true">
  <digi-layout-block af-no-gutter="true" af-margin-bottom="5">

  <digi-info-card
  af-variation="secondary"
  af-heading=" "
  af-heading-level="H3"
  af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
  af-link-text="Öppen källkod för utvecklare"
  id="af-questions-card"
  af-no-gutter="true"
  >

  <digi-layout-container af-variation="fluid" af-no-gutter="true" id="questions">
  <digi-typography-heading-jumbo af-text="Fråga 1" af-level="h3" id="qnumber"></digi-typography-heading-jumbo>

  <p id="q" style="min-height: 50px">Är du över 25 år?</p>

  <digi-layout-container id="questions" af-no-gutter af-margin-bottom="5">
  <div id="button-group">
  <digi-button id="y" af-size="l" af-variation="secondary">Ja</digi-button>
  <digi-button id="n" af-size="l" af-variation="secondary" style="margin-left: 10px">Nej</digi-button>
</div>
</digi-layout-container>

<digi-form-validation-message af-variation='error' id="error-message">
Du glömde att välja Ja eller Nej.
</digi-form-validation-message>

<digi-layout-container id="questions" af-no-gutter af-margin-bottom="5">
<div id="buttons-control">
<digi-button id="back" af-size="s" af-variation="primary">Tillbaka till föregående fråga</digi-button>
<digi-button id="cancel" af-size="s" af-variation="primary">Stäng utan att spara</digi-button>
</div>
</digi-layout-container>

</digi-layout-container>

<hr>

</digi-info-card>

<div id="result">
<digi-info-card
af-variation="secondary"
af-heading="Slutsats - Du verkar uppfylla villkoren för nystartsjobb"
af-heading-level="H3"
af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
af-link-text="Öppen källkod för utvecklare"
id="positivt-utfall"
>

<digi-layout-container af-no-gutter af-margin-bottom="5">
<h4>Anledning, villkor som uppfylls</h4>
<p id="uppfyllda-krav"></p>
<h4>Nystartsjobb är ett ekonomiskt stöd till arbetsgivaren</h4>
<p>Ersättningen motsvarar minst en arbetsgivaravgift för den del av månadslönen som är upp till 20 000 kronor vid heltidsarbete. Ersättningen erhålls via en kreditering av företagets skattekonto.</p>
<digi-button class="reset" af-size="s" af-variation="secondary">Gör om testet</digi-button>
</digi-layout-container>
<hr>
</digi-info-card>
<digi-info-card
af-variation="secondary"
af-heading="Slutsats - Du verkar inte uppfylla villkoren för nystartsjobb"
af-heading-level="H3"
af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
af-link-text="Öppen källkod för utvecklare"
id="negativt-utfall"
>
<digi-layout-container af-no-gutter af-margin-bottom="5">

<h4>Anledning, villkor som inte uppfylls</h4>
<p id="ej-uppfyllda-krav"></p>
<digi-button class="reset" af-size="s" af-variation="secondary">Gör om testet</digi-button>
</digi-layout-container>
<hr>
</digi-info-card>
</div>
</digi-layout-block>
</digi-layout-container>
-->

<script id="template" type="x-tmpl-mustache">
<digi-layout-container af-variation="fluid" af-no-gutter="true">
<digi-layout-block af-no-gutter="true" af-margin-bottom="5">

<digi-info-card
af-variation="secondary"
af-heading=" "
af-heading-level="H3"
af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
af-link-text="{{opensource}}"
id="af-questions-card"
af-no-gutter="true"
>

<digi-layout-container af-variation="fluid" af-no-gutter="true" id="questions">
<digi-typography-heading-jumbo af-text="{{question}}" af-level="h3" id="qnumber"></digi-typography-heading-jumbo>
<p id="q" style="min-height: 50px">Är du över 25 år?</p>

<digi-layout-container id="questions" af-no-gutter af-margin-bottom="5">
<div id="button-group">
<digi-button id="y" af-size="l" af-variation="secondary">{{yes}}</digi-button>
<digi-button id="n" af-size="l" af-variation="secondary" style="margin-left: 10px">{{no}}</digi-button>
</div>
</digi-layout-container>

<digi-form-validation-message af-variation='error' id="error-message">
Du glömde att välja Ja eller Nej.
</digi-form-validation-message>

<digi-layout-container id="questions" af-no-gutter af-margin-bottom="5">
<div id="buttons-control">
<digi-button id="back" af-size="s" af-variation="primary">{{prev}}</digi-button>
<digi-button id="cancel" af-size="s" af-variation="primary">{{close}}</digi-button>
</div>
</digi-layout-container>

</digi-layout-container>

<hr>

</digi-info-card>

<div id="result">
<digi-info-card
af-variation="secondary"
af-heading="{{positive}}"
af-heading-level="H3"
af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
af-link-text="{{opensource}}"
id="positivt-utfall"
>

<digi-layout-container af-no-gutter af-margin-bottom="5">

<h4>{{positive_reason}}</h4>
<p id="uppfyllda-krav"></p>
<h4>{{nystartsjobb_info}}</h4>
<p>{{nystartsjobb_details}}</p>
<digi-button class="reset" af-size="s" af-variation="secondary">{{redo}}</digi-button>

</digi-layout-container>
<hr>
</digi-info-card>
<digi-info-card
af-variation="secondary"
af-heading="{{negative}}"
af-heading-level="H3"
af-link-href="https://arbetsformedlingen.se/om-webbplatsen/apier-och-oppna-data"
af-link-text="{{opensource}}"
id="negativt-utfall"
>
<digi-layout-container af-no-gutter af-margin-bottom="5">

<h4>{{negative_reason}}</h4>
<p id="ej-uppfyllda-krav"></p>
<digi-button class="reset" af-size="s" af-variation="secondary">{{redo}}</digi-button>
</digi-layout-container>
<hr>
</digi-info-card>
</div>
</digi-layout-block>
</digi-layout-container>
</script>

<script src="js/mustache.js"></script>
<script type="module" src="js/esm/digi.esm.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bacon.js/3.0.17/Bacon.js"></script>
<script>

var messages = {
  "Positivt": "Du kan uppfylla villkoren för nystartsjobb",
  "Negativt": "Du verkar inte uppfylla villkoren för nystartsjobb"
}
var body_text_i18 = {
  se:{
    positive: "Slutsats - Du verkar uppfylla villkoren för nystartsjobb",
    negative: "Slutsats - Du verkar inte uppfylla villkoren för nystartsjobb",
    opensource: "Öppen källkod för utvecklare",
    positive_reason: "Anledning, villkor som uppfylls",
    negative_reason: "Anledning, villkor som inte uppfylls",
    nystartsjobb_info: "Nystartsjobb är ett ekonomiskt stöd till arbetsgivaren",
    nystartsjobb_details: "Ersättningen motsvarar minst en arbetsgivaravgift för den del av månadslönen som är upp till 20 000 kronor vid heltidsarbete. Ersättningen erhålls via en kreditering av företagets skattekonto.",
    redo: "Gör om testet",
    prev: "Tillbaka till föregående fråga",
    close: "Stäng utan att spara",
    yes: "Ja",
    no: "Nej",
    question: "Fråga"
  },
  eng:{
    positive: "Conclusion - You appear to meet the conditions for a nystartsjobb",
    negative: "Conclusion - You appear not to meet the conditions for a nystartsjobb",
    opensource: "Open source for developers",
    positive_reason: "Reason, conditions met",
    negative_reason: "Reason, conditions not met",
    nystartsjobb_info: "Nystartsjobb is an economic support to the employer",
    nystartsjobb_details: "The compensation corresponds to at least an employer's contribution (one arbetsgivaravgift) for the portion of the monthly salary that is up to 20,000 kronor for full-time work. The compensation is received via a credit to the company's tax account.",
    redo: "Retake the test",
    prev: "Back to the previous question",
    close: "Close without saving",
    yes: "Yes",
    no: "No",
    question: "Question"
  }
}
var conditions_i18 = {
  se:{
    1: "Fyllt 20 år och är inskriven på Arbetsförmedlingen",
    2: "Deltar i det arbetsmarknadspolitiska programmet jobb- och utvecklingsgarantin",
    3: "Deltar i etableringsprogrammet",
    4: "Dömts till fängelse samt beviljats vistelse utanför anstalten eller blivit villkorligt frigiven utan att ha fullgjort ett år av prövotiden",
    5: "Erhållit uppehållstillstånd i Sverige under de senaste 36 månaderna",
    6: "Erhållit uppehållstillstånd i Sverige under de senaste 36 månaderna och innehar klassningskod från Migrationsverket som kvalificerar för nystartsjobb",
    7: "Fyllt 25 år",
    8: "Varit frånvarande från arbetslivet eller deltagit i arbetsmarknadspolitiska program i minst 12 av de senaste 15 månaderna",
    9: "Varit frånvarande från arbetslivet eller deltagit i arbetsmarknadspolitiska program i minst 6 av de senaste 9 månaderna",
    10: "Fyllt 25 år",
    11: "Varit frånvarande från arbetslivet eller deltagit i arbetsmarknadspolitiska program i minst 12 av de senaste 15 månaderna",
    12: "Varit frånvarande från arbetslivet eller deltagit i arbetsmarknadspolitiska program i minst 6 av de senaste 9 månaderna",
    13: "Varit frånvarande från arbetslivet eller deltagit i arbetsmarknadspolitiska program i minst 6 av de senaste 9 månaderna"
  },
  eng:{
    1: "At least 20 years old and registered with the Swedish Public Employment Service (Arbetsförmedlingen)",
    2: "Participates in the labour market programme Job and Development Guarantee (jobb- och utvecklingsgarantin)",
    3: "Participates in the introduction programme (etableringsprogrammet).",
    4: "Sentenced to prison and granted stay outside the institution or conditionally released without having completed one year of the probation period",
    5: "Granted a residence permit in Sweden within the last 36 months",
    6: "Granted a residence permit in Sweden within the last 36 months and holds a classification code from the Migration Agency that qualifies for Nystartsjobb",
    7: "At least 25 years old",
    8: "Been absent from the labour market or participated in labour market policy programmes for at least 12 of the last 15 months",
    9: "Been absent from the labour market or participated in labour market policy programmes for at least 6 of the last 9 months",
    10: "At least 25 years old",
    11: "Been absent from the labour market or participated in labour market policy programmes for at least 12 of the last 15 months",
    12: "Been absent from the labour market or participated in labour market policy programmes for at least 6 of the last 9 months",
    13: "Been absent from the labour market or participated in labour market policy programmes for at least 6 of the last 9 months"
  }
}
var questions_i18 = {
  se:{
    age:'Har du fyllt 20 år och är inskriven på Arbetsförmedlingen?',
    uga:'Deltar du i det arbetsmarknadspolitiska programmet jobb- och utvecklingsgarantin?',
    etablering:'Deltar du i etableringsprogrammet?',
    prison:'Har du dömts till fängelse samt beviljats vistelse utanför anstalten eller är villkorligt frigiven men utan att ha fullgjort ett år av prövotiden?',
    newInSweden:'Har du under de senaste 36 månaderna fått uppehållstillstånd i Sverige?',
    migrationsverket:'<p>Har du klassningskod A, B, F, G eller K i ditt beslut från Migrationsverket eller någon av koderna nedan?</p> <small>Om du har klassningskod I, M1-M6, N1-3, N5-N8, SA, SF, SÖ, T1-T3, T6, TT eller uppehållskort i egenskap av familjemedlem till en EES-medborgare är det också ett kvalificeringsvillkor för nystartsjobb och du kan svara ja nedan.</small></p>',
    sixToNine:'<p>Har du under minst 6 av de senaste 9 månaderna på heltid uppfyllt något eller några av följande<ul><li>Varit arbetslös eller deltagit i ett arbetsmarknadspolitiskt program</li><li>Varit arbetslös och fått ekonomiskt bistånd från kommunen</li><li>Fått sjukpenning, rehabiliteringspenning, sjuk- eller aktivitetsersättning från Försäkringskassan</li></p>',
    twelweToFifteen:'<p>Har du under minst 12 av de senaste 15 månaderna på heltid uppfyllt något eller en kombination av följande<ul><li>Varit arbetslös eller deltagit i ett arbetsmarknadspolitiskt program</li><li>Varit arbetslös och fått ekonomiskt bistånd från kommunen</li><li>Fått sjukpenning, rehabiliteringspenning, sjuk- eller aktivitetsersättning från Försäkringskassan</li></p>',
    age25: 'Har du fyllt 25 år'
  },
  eng:{
    age:'Are you at least 20 years old and are you registered with Arbetsförmedlingen, the Public Employment Service?',
    uga:'Are you participating in the labour market Job and Development Guarantee programme (Jobb- och utvecklingsgarantin)?',
    etablering:'Are you participating in the introduction programme? (Etableringsprogrammet)',
    prison:'Have you been sentenced to prison and have you been granted a stay outside of prison, or are you on parole but have not completed a full year of the probationary period?',
    newInSweden:'Have you been granted a residence permit in Sweden in the past 36 months?',
    migrationsverket:'<p>Do you have classification code A, B, F, G or K in your decision from the Swedish Migration Agency (Migrationsverket), or one of the codes below?<p> <small>If you have classification code I, M1-M6, N1-3, N5-N8, SA, SF, SÖ, T1-T3, T6, TT or a residence card as a family member of an EES citizen, this also qualifies you for a new start job (nystartsjobb) and you may answer “yes” below.</small></p>',
    sixToNine:'<p>In at least 6 of the last 9 months, have you met any of the following conditions full-time:<ul><li>Been unemployed or participated in a labour market programme (arbetsmarknadspolitiskt program).</li><li>Been unemployed and received financial assistance from the municipality.</li><li>Received sickness benefit (sjukpenning), rehabilitation benefit (rehabiliteringspenning), sickness or activity compensation (sjuk- eller aktivitetsersättning) from the Swedish Social Insurance Agency</li></ul></p>',
    twelweToFifteen:'<p>In at least 12 of the last 15 months, have you met any or a combination of the following full-time:<ul><li>Been unemployed or participated in a labour market programme (arbetsmarknadspolitiskt program).</li><li>Been unemployed and received financial assistance from the municipality.</li><li>Received sickness benefit (sjukpenning), rehabilitation benefit (rehabiliteringspenning), sickness or activity compensation (sjuk- eller aktivitetsersättning) from the Swedish Social Insurance Agency (Försäkringskassan)</li></ul></p>',
    age25: 'Are you at least 25 years old?'
  }
}
//var lang = navigator.language || navigator.userLanguage;
var lang = document.documentElement.lang;

var app_lang = "eng"; /** Default ENG, and Swedish when set **/
if (lang === "sv")
app_lang="se";
var questions = questions_i18[app_lang];
var conditions = conditions_i18[app_lang];
var body_text = body_text_i18[app_lang];
function widget() {
  const template = document.getElementById('template').innerHTML;
  const rendered = Mustache.render(template, body_text);
  document.getElementById('target').innerHTML = rendered;
}
widget();
const rules = {
  message: questions["age"],
  id:1,
  yes: {
    message: questions["uga"],
    id:2,
    yes: {
      message: 'Positivt',
    },
    no: {
      message: questions["etablering"],
      id:3,
      yes: { message: 'Positivt' },
      no: {
//        message: questions["prison"],
//        id:4,
//        yes: {
//          message: 'Positivt',
//        },
//        no: {
          message: questions["newInSweden"],
          id:5,
          yes: {
            message: questions["migrationsverket"],
            id:6,
            yes: {
              message: questions["sixToNine"],
              id:13,
              yes: { message: 'Positivt'},
              no: { message: 'Negativt'},
            },
            no: {
              message: questions["age25"],
              id:7,
              yes: {
                message: questions["twelweToFifteen"],
                id:8,
                yes: { message: 'Positivt'
              },
              no: { message: 'Negativt'},
            },
            no: {
              message: questions["sixToNine"],
              id:9,
              yes: { message: 'Positivt'},
              no: { message: 'Negativt'},
            }
          }
        },
        no: {
          message: questions["age25"],
          id:10,
          yes: {
            message: questions["twelweToFifteen"],
            id:11,
            yes: { message: 'Positivt'},
            no: { message: 'Negativt'},
          },
          no: {
            message: questions["sixToNine"],
            id:12,
            yes: { message: 'Positivt'},
            no: { message: 'Negativt'},
          }
        }
//      }
    },
  },
},
no: {
  message: 'Negativt',
},
};

class Tree {
  constructor(treeObj) {
    this.nodes = [];
    this.currentNode = 0;
    this.id = [];
    const add = ({ message, id, yes, no }) => {
      const currentIndex = this.nodes.length;
      this.nodes.push({ message });
      this.id.push(id);
      if (yes) {
        this.nodes[currentIndex].yesIndex = add(yes);
      }
      if (no) {
        this.nodes[currentIndex].noIndex = add(no);
      }
      return currentIndex;
    };
    add(treeObj);
  }
  setCurrentNode(node) {
    this.currentNode = node;
  }
  getCurrentNode() {
    return this.currentNode;
  }
  getCurrentNodeMessage() {
    return this.nodes[this.currentNode].message;
  }
  getCurrentId() {
    return this.id[this.currentNode];
  }
  isCompleted() {
    return !this.nodes[this.currentNode].yesIndex;
  }
  walk(affirmative) {
    if (affirmative) {
      this.currentNode = this.nodes[this.currentNode].yesIndex;
    } else {
      this.currentNode = this.nodes[this.currentNode].noIndex;
    }
    return {
      message: this.getCurrentNodeMessage(),
      complete: !this.nodes[this.currentNode].yesIndex,
    };
  }
}
function hideResultTab() {
  var w = document.getElementById("positivt-utfall");
  w.style.display = "none";
  var t = document.getElementById("negativt-utfall");
  t.style.display = "none";
}
function pureHideResult() {
  return () => hideResultTab();
}
function pureHideButtons() {
  return () => hideControlButtons();
}
const pureHide =
() => (ignoredReturnValue => pureHideResult())(pureHideError()());

const pureHideControlButtons =
() => (ignoredReturnValue => pureHideButtons())();

/* hideControlButtons(); */


function hideQuestions(){
  /*  var w = document.getElementById("questions");
  w.style.display = "none";**/

  var w = document.getElementById("af-questions-card");
  w.style.display = "none";
}
function hideErrorMessage(){
  var w = document.getElementById("error-message");
  w.style.display = "none";
}
function pureHideError() {
  return () => hideErrorMessage();
}
function showErrorMessage(){
  var w = document.getElementById("error-message");
  w.style.display = "block";
}
function showControlButtons(){
  var w = document.getElementById("buttons-control");
  w.style.display = "block";
}
function hideControlButtons(){
  var w = document.getElementById("buttons-control");
  w.style.display = "none";
}
function clearChoices(){
  document.querySelector('input[name="radioButton"]:checked').checked = false;
}
function showResult(utfall) {
  hideQuestions();
  if(utfall === 'Negativt'){
    showNegativtUtfall();
  }else{
    showPositivtUtfall();
  }
}
function showNegativtUtfall() {
  //document.getElementById("ej-uppfyllda-krav").innerHTML = state.getNotFulfilledCondition();
  //var t = document.getElementById("negativt-utfall");
  //t.style.display = "block";
  var utfall = state.getNotFulfilledConditions();
  utfall = utfall.filter(function(item) {
    return (item !== 7) && (item !== 10)
  })
  var text = "<ul>";
  for (let i = 0; i < utfall.length; i++) {
    text += "<li>"+conditions[utfall[i]]+"</li>" ;
  }
  text += "</ul>";
  document.getElementById("ej-uppfyllda-krav").innerHTML = text;
  var t = document.getElementById("negativt-utfall");
  t.style.display = "block";
}
function showPositivtUtfall() {
  var utfall = state.getFulfilledConditions();
  utfall = utfall.filter(function(item) {
    return (item !== 7) && (item !== 10) && (item !== 5)
  })
  var text = "<ul>";
  for (let i = 0; i < utfall.length; i++) {
    text += "<li>"+conditions[utfall[i]]+"</li>" ;
  }
  text += "</ul>";
  document.getElementById("uppfyllda-krav").innerHTML = text;
  var t = document.getElementById("positivt-utfall");
  t.style.display = "block";
}
function doesInputExist(){
  var yes = document.getElementById("yes-radio-button").checked;
  var no = document.getElementById("no-radio-button").checked;
  return yes || no
}
const buildState = () => {
  let fulfilledConditions = [];
  let notFulfilledConditions = [];
  let answeres = [];
  let counter = 0;
  let tree = new Tree(rules);
  const setReason = (value) => last = value;
  const getFulfilledConditions = () => fulfilledConditions;
  const getNotFulfilledConditions = () => notFulfilledConditions;
  const walk = (choice) => {answeres.push(choice);choice ? fulfilledConditions.push(tree.getCurrentId()) : notFulfilledConditions.push(tree.getCurrentId());counter++;return tree.walk(choice)};
  const getFirstMessage = () => tree.getCurrentNodeMessage();
  const isCompleted = () => tree.isCompleted();
  const questionsAnswered = () => counter;
  const back = () => {
    var q = answeres;
    answeres = [];
    fulfilledConditions = [];
    notFulfilledConditions = [];
    counter = 0;
    tree = new Tree(rules);
    var replayArray = q.slice(0, -1);
    var node = null;
    replayArray.forEach(element => node = walk(element));
    if (node === null){
      return {
        message: tree.getCurrentNodeMessage(),
        complete: false,
      }
    }
    return node;
  };
  return {
    getNotFulfilledConditions,
    getFulfilledConditions,
    walk,
    getFirstMessage,
    questionsAnswered,
    back
  };
};
const state = buildState();
function travelToNextNode(choice){
  return state.walk(choice);
}
const matched = x => ({
  on: () => matched(x),
  otherwise: () => x,
})
const match = x => ({
  on: (pred, fn) => (pred(x) ? matched(fn(x)) : match(x)),
  otherwise: fn => fn(x),
})
function next(choice){
  match(true) //doesInputExist()
  .on(x => x === false, () => showErrorMessage())
  .otherwise(() => {
    var node = travelToNextNode(choice); // getUserChoice()
    node.complete ? showResult(node.message) : purePrompt(node.message)()
    //clearChoices();
  });
}
function getUserChoice(){
  return document.getElementById("yes-radio-button").checked;
}
function purePrompt(message) {
  return () => printNextQuestion(message);
}
let Custom_$ = (selector) => document.querySelector(selector)
function printNextQuestion(message){
  document.getElementById("q").innerHTML = message;
  var nextQuestion = body_text["question"]+" "+(state.questionsAnswered()+1);
  Custom_$("#qnumber").setAttribute('af-text', nextQuestion);
}
function cancel(){
  window.location.reload(true);
}
const sideEffectSequence = (firstEffect, secondEffect) =>
() => (ignoredReturnValue => secondEffect())(firstEffect());
const sequencedSideEffect = sideEffectSequence(pureHide(), purePrompt(state.getFirstMessage()));
sequencedSideEffect();
pureHideControlButtons()();

let y = Bacon.fromEvent(Custom_$("#y"), "click").map(true)
let n = Bacon.fromEvent(Custom_$("#n"), "click").map(false)
let userChoiceEvent = y.merge(n)
let backEvent = Bacon.fromEvent(Custom_$("#back"), "click")
let testStarted = 0;
userChoiceEvent.onValue(val => {
  next(val);
  testStarted++;
  if(testStarted == 1){
    /*
    Arbetsförmedlingen behöver följa hur många som startat testet för att kunna följa effektivitet i kampanjer med mera.

    1. Nedan anrop används enbart för den första frågan, finns inget i anropet som antyder om användaren svarat JA eller NEJ.
    2. Myndigheten kan enbart dra slutsatsen att någon startat testet, ej vad användaren svarat.
    3. Myndigheten lagrar inte ip-nummer. Därmed kan myndigheten inte dra någon slutsats om vilken individ/dator som startar testet.

    Läs mer om att vi faktiskt hanterar språning helt anonymt här under rubriken webbanalys:
    https://arbetsformedlingen.se/om-webbplatsen/juridisk-information/sa-hanterar-vi-dina-personuppgifter
    */
    const title = "Arbetsförmedlingen informerar om webbanalys";
    console.group(title);
    console.log(
      "%cDin data är alltid anonymiserad",
      "color: #fff; background-color: #000358;padding: 4px;display: block;"
    );
    let info_logging =
    `Arbetsförmedlingen behöver följa hur många gånger självtestet om nystartsjobb startas för att kunna följa effektivitet i kampanjer med mera.

    1. Myndigheten vet enbart hur många som startat testet.
    2. Myndigheten kan inte avgöra vem som startat testet.

    Läs mer om hur myndigheten hanterar spårning (ip-nummer) under rubriken webbanalys:
    https://arbetsformedlingen.se/om-webbplatsen/juridisk-information/sa-hanterar-vi-dina-personuppgifter`;

    console.log(info_logging);
    console.log(typeof _paq);
    try {
      _paq.push(['trackEvent', 'AS - Webbplatsen Nystartsjobb - Självtest', 'Click', 'YesOrNo']);
      console.log("%cWebbspårning genomförd",
      "color: #191819; background-color: #C7DC9C;padding: 4px;display: block;");
    } catch (error) {
      console.log("%cWebbspårning misslyckades, anledning:",
      "color: #191819; background-color: #C7DC9C;padding: 4px;display: block;");
      console.log(error);
    }
    console.groupEnd(title);
  }
  /**Custom_$("#progress").setAttribute('af-completed-steps', state.questionsAnswered());**/
  window.location.href = "#questions";
  if (state.questionsAnswered() > 0){
    showControlButtons();
  }else{
    hideControlButtons();
  }
})
backEvent.onValue(val => {
  console.log(state.questionsAnswered());
  if (state.questionsAnswered() > 0){
    var node = state.back();
    node.complete ? showResult(node.message) : purePrompt(node.message)();
    /** Custom_$("#progress").setAttribute('af-completed-steps', state.questionsAnswered()) **/
  }
  if (state.questionsAnswered() == 0){
    hideControlButtons();
  }
})

setTimeout(clearResult, 600000);
function clearResult() {
  var cancel = document.getElementById("cancel");
  cancel.dispatchEvent(new Event('afOnClick'));
}

const cancelButton = document.getElementById("cancel");
cancelButton.addEventListener('afOnClick', cancel);
const resetButtons = document.getElementsByClassName("reset");
resetButtons[0].addEventListener('afOnClick', cancel);
resetButtons[1].addEventListener('afOnClick', cancel);
</script>
</body>
</html>
